Orxonox: OIS::LinuxMouse Class Reference

# OIS::LinuxMouse Class Reference

`#include <src/ois/linux/LinuxMouse.h>`

Inheritance diagram for OIS::LinuxMouse:

List of all members.

## Public Member Functions

virtual void | _initialize ()
virtual void | capture ()
void | grab (bool grab)
void | hide (bool hide)
| LinuxMouse (InputManager *creator, bool buffered, bool grab, bool hide)
virtual Interface * | queryInterface (Interface::IType)
virtual void | setBuffered (bool buffered)
virtual | ~LinuxMouse ()

## Protected Member Functions

void | _processXEvents ()

## Protected Attributes

Cursor | cursor
Display * | display
bool | grabMouse
bool | hideMouse
bool | mMoved
bool | mouseFocusLost
bool | mWarped
long | oldXMouseX
long | oldXMouseY
long | oldXMouseZ
Window | window

## Constructor & Destructor Documentation

LinuxMouse::LinuxMouse | ( | InputManager * | creator,
|  | bool | buffered,
|  | bool | grab,
|  | bool | hide |
| ) |  |  |

References cursor, display, grabMouse, hideMouse, OIS::Object::mCreator, and window.

LinuxMouse::~LinuxMouse | ( |  | ) | `[virtual]`

References cursor, display, grab(), hide(), and OIS::Object::mCreator.

## Member Function Documentation

void LinuxMouse::_initialize | ( |  | ) | `[virtual]`

Remarks:
  Internal... Do not call this directly.

Implements OIS::Object.

References OIS::MouseState::clear(), cursor, display, OIS::E_General, grab(), grabMouse, hide(), hideMouse, OIS::Object::mCreator, mMoved, mouseFocusLost, OIS::Mouse::mState, mWarped, orxonox::KeybindMode::None, OIS_EXCEPT, oldXMouseX, oldXMouseY, oldXMouseZ, and window.

void LinuxMouse::_processXEvents | ( |  | ) | `[protected]`

References OIS::Axis::abs, OIS::MouseState::buttons, display, grabMouse, OIS::MouseState::height, OIS::Object::mBuffered, OIS::Object::mCreator, OIS::Mouse::mListener, mMoved, mouseFocusLost, OIS::MouseListener::mousePressed(), OIS::MouseListener::mouseReleased(), OIS::Mouse::mState, mWarped, orxonox::KeybindMode::None, oldXMouseX, oldXMouseY, OIS::Axis::rel, OIS::MouseState::width, window, OIS::MouseState::X, OIS::MouseState::Y, and OIS::MouseState::Z.

Referenced by capture().

void LinuxMouse::capture | ( |  | ) | `[virtual]`

Remarks:
  Note: Calling this will also update the keyboard (X11 updates in a single event queue). Updates State and/or raises event for buffered mode..

Implements OIS::Object.

References _processXEvents(), grab(), grabMouse, hide(), hideMouse, OIS::Object::mBuffered, OIS::Object::mCreator, OIS::Mouse::mListener, mMoved, mouseFocusLost, OIS::MouseListener::mouseMoved(), OIS::Mouse::mState, mWarped, OIS::Axis::rel, OIS::MouseState::X, OIS::MouseState::Y, and OIS::MouseState::Z.

void LinuxMouse::grab | ( | bool | grab | ) |

References display, orxonox::KeybindMode::None, and window.

Referenced by _initialize(), capture(), and ~LinuxMouse().

void LinuxMouse::hide | ( | bool | hide | ) |

References cursor, display, and window.

Referenced by _initialize(), capture(), and ~LinuxMouse().

virtual Interface* OIS::LinuxMouse::queryInterface | ( | Interface::IType |  | ) | `[inline, virtual]`

Remarks:
  If available, get an interface to write to some devices. Examples include, turning on and off LEDs, ForceFeedback, etc

Parameters:

  | type | The type of interface you are looking for

Implements OIS::Object.

void LinuxMouse::setBuffered | ( | bool | buffered | ) | `[virtual]`

Remarks:
  Sets buffered mode

Implements OIS::Object.

References OIS::Object::mBuffered.

## Member Data Documentation

Cursor OIS::LinuxMouse::cursor`[protected]`

Referenced by _initialize(), hide(), LinuxMouse(), and ~LinuxMouse().

Display* OIS::LinuxMouse::display`[protected]`

Referenced by _initialize(), _processXEvents(), grab(), hide(), LinuxMouse(), and ~LinuxMouse().

bool OIS::LinuxMouse::grabMouse`[protected]`

Referenced by _initialize(), _processXEvents(), capture(), and LinuxMouse().

bool OIS::LinuxMouse::hideMouse`[protected]`

Referenced by _initialize(), capture(), and LinuxMouse().

bool OIS::LinuxMouse::mMoved`[protected]`

Referenced by _initialize(), _processXEvents(), and capture().

bool OIS::LinuxMouse::mouseFocusLost`[protected]`

Referenced by _initialize(), _processXEvents(), and capture().

bool OIS::LinuxMouse::mWarped`[protected]`

Referenced by _initialize(), _processXEvents(), and capture().

long OIS::LinuxMouse::oldXMouseX`[protected]`

Referenced by _initialize(), and _processXEvents().

long OIS::LinuxMouse::oldXMouseY`[protected]`

Referenced by _initialize(), and _processXEvents().

long OIS::LinuxMouse::oldXMouseZ`[protected]`

Referenced by _initialize().

Window OIS::LinuxMouse::window`[protected]`

Referenced by _initialize(), _processXEvents(), grab(), hide(), and LinuxMouse().

The documentation for this class was generated from the following files:

- src/ois/linux/LinuxMouse.h
- src/ois/linux/LinuxMouse.cpp